# std::ctype<char>::classic_table

From cppreference.com
< cpp‎ | locale‎ | ctype char

Defined in header `<locale>` |  |
static const mask* classic_table(); |  |

Returns the classification table that matches the classification used by the minimal "C" locale.

### Parameters

(none)

### Return value

A pointer to the first element in the classification table (which an array of size `std::ctype<char>::table_size`)

### Exceptions

(none) | (until C++11)
`noexcept` specification: noexcept | (since C++11)

### Notes

Default-constructed std::ctype<char> facets use this table for classification.

### Example

| This section is incomplete Reason: no example

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/locale/ctype_char/classic_table&oldid=91572"
Categories:

- unconditionally noexcept
- Todo no example

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template